## [AKShare](https://github.com/akfamily/akshare) 实时监控

### 金十数据-实时资讯

接口: js_news

目标地址: https://www.jin10.com/

描述: 金十数据新闻资讯数据

限量: 当日最近 4 小时内的新闻资讯数据; 该接口暂时不能获取数据

输入参数

| 名称        | 类型  | 描述                              |
|-----------|-----|---------------------------------|
| timestamp | str | timestamp="2022-04-25 17:57:18" |

输出参数

| 名称       | 类型  | 描述  |
|----------|-----|-----|
| datetime | str | -   |
| content  | str | -   |

接口示例

```python
import akshare as ak

js_news_df = ak.js_news(timestamp="2022-04-25 17:57:18")
print(js_news_df)
```

数据示例

```
               datetime                                            content
0   2022-04-25 16:59:41  国务院办公厅：推动金融系统通过降低利率、减少收费等多种措施，向实体经济让利。引导金融机构优化...
1   2022-04-25 16:59:51  国务院办公厅：做好基本消费品保供稳价。结合疫情防控形势和需要，加快建立健全生活物资保障体系，...
2   2022-04-25 17:00:00                                                  -
3   2022-04-25 17:00:00                                                  -
4   2022-04-25 17:00:04  <b>【行情】MSCI新兴市场股票指数遭遇3月中旬以来最大单日跌幅，较4月5日峰值下跌逾10...
5   2022-04-25 17:00:20                         【行情】富时中国A50指数期货夜盘开盘跌0.27%。
6   2022-04-25 17:00:30                              哈萨克斯坦央行将政策利率提高至14.0%。
7   2022-04-25 17:01:29  【国务院办公厅：加强财税支持】统筹利用现有财政资金渠道，支持消费相关基础设施和服务保障能力建...
8   2022-04-25 17:02:11  国务院办公厅：在各大中城市科学规划建设一批集仓储、分拣、加工、包装等功能于一体的城郊大仓基地...
9   2022-04-25 17:02:23  国务院办公厅：加快构建废旧物资循环利用体系，推动汽车、家电、家具、电池、电子产品等回收利用，...
10  2022-04-25 17:02:37  【<b>国务院办公厅：鼓励有条件的地区开展新能源汽车和绿色智能家电下乡</b>】国办发布进一...
11  2022-04-25 17:03:02                【行情】WTI原油失守97美元/桶，日内跌4.50%，为两周以来新低。
12  2022-04-25 17:04:39  【国务院办公厅：持续拓展文化和旅游消费 深入推进文化和旅游消费试点示范】国务院办公厅发布关于...
13  2022-04-25 17:04:50  国务院办公厅：稳定增加汽车等大宗消费，各地区不得新增汽车限购措施，已实施限购的地区逐步增加汽...
14  2022-04-25 17:05:30            欧洲将加码制裁俄能源？恐导致4月俄油减产！原油能否再创兴新高？点击观看 >>>
15  2022-04-25 17:07:17  国务院办公厅：鼓励创业带动就业，支持各类劳动力市场、人才市场、零工市场建设，支持个体经营发展...
16  2022-04-25 17:07:50                 【行情】英国5月交付天然气批发价格下跌8.8%，至167便士/撒姆。
17  2022-04-25 17:14:45  【专家称人民币汇率后市不具备大幅贬值基础】平安证券首席经济学家钟正生表示，近期人民币汇率急贬...
18  2022-04-25 17:15:16  【俄罗斯空天军研究院火灾事故导致17人死亡】当地时间4月25日，据俄罗斯特维尔州政府发布的消...
19  2022-04-25 17:15:33                  【行情】恒指期货夜盘开跌0.25%，报19760点，低水105点。
20  2022-04-25 17:19:00  <b>三菱日联：英镑兑美元恐继续下行</b><br/>在过去一周，英镑兑美元GBP/USD重...
21  2022-04-25 17:19:41      【行情】据中国货币网报价，在岸人民币兑美元跌破6.56关口，为2021年4月9日以来首次。
22  2022-04-25 17:22:35          【行情】俄罗斯卢布兑欧元在莫斯科交易中走强至77.04，为2020年6月以来最强.
23  2022-04-25 17:22:36  俄罗斯外交部副部长鲁坚科说，一旦达成实质性共识，俄罗斯和乌克兰代表团就可以举行会面，但目前没...
24  2022-04-25 17:25:13             标普全球：马克龙连任法国总统对法国主权信用评级维持在“AA”级没有直接影响。
25  2022-04-25 17:26:13  日本首相岸田文雄25日在首相官邸会见了世界经济论坛创始人兼执行主席施瓦布。双方确认将就俄乌局...
26  2022-04-25 17:26:16      美国国务卿安东尼·布林肯在访问乌克兰后表示，华盛顿将在与俄谈判问题上帮助基辅。（卫星新闻）
27  2022-04-25 17:28:37                      【行情】全球市场暴跌之际，公司债市场不再有负收益率的债券。
28  2022-04-25 17:30:28  北向资金今日净卖出43.97亿元。招商银行、五粮液、恒瑞医药分别获净卖出24.12亿元、7....
29  2022-04-25 17:31:26  【黎巴嫩军方：以色列向黎南部地区发射炮弹和照明弹】当地时间4月25日，黎巴嫩军方发表声明说，...
30  2022-04-25 17:33:51  【行情】印尼主权美元债每1美元面值下跌逾1美分，至2020年春季以来的最低水平。此前政府禁止...
31  2022-04-25 17:35:30                              欧洲在逾十周后首次迎来公司垃圾级债券发行。
32  2022-04-25 17:38:18               北京商务局：各连锁超市25日起提前半小时营业、晚上延时闭店。（北京日报）
33  2022-04-25 17:38:46  <a href="https://v.jin10.com/details.html?id=1...
34  2022-04-25 17:38:47  <b>美联储鹰派预期被消化，黄金还能继续做空吗？多头持续撤离，下方关键支撑看哪？点击观看GM...
35  2022-04-25 17:39:56  据国际文传电讯社：俄罗斯方面表示，将为平民打开一条人道主义走廊，让他们星期一离开马里乌波尔亚...
36  2022-04-25 17:41:15  【方正证券：建议继续关注低位、低价、低估值的“三低”股】方正证券最新研报指出，大盘击穿302...
37  2022-04-25 17:43:38  据俄罗斯卫星网：从格林尼治时间11点开始（北京时间晚上7点），俄罗斯武装部队和“顿涅茨克人民...
38  2022-04-25 17:44:02         市场消息：尼日利亚将5月Bonny原油官方售价设定为较布伦特原油升水194美分/桶。
39  2022-04-25 17:44:04  美国国防部长劳埃德•奥斯汀称华盛顿在与基辅合作中将建议研究跟踪提供给乌克兰的武器问题。（卫星新闻）
40  2022-04-25 17:44:55      市场消息：尼日利亚将5月QUA IBOE原油官方售价设定为较布伦特原油升水243美元/桶。
41  2022-04-25 17:47:42              同花顺：2022年第一季度归属于上市公司股东的净利润同比减少34.01%。
42  2022-04-25 17:49:49  药明康德：2022年一季度实现净利润16.4亿元，同比增长9.54%；扣非净利润17.14亿...
43  2022-04-25 17:50:00                         【提示】英国4月CBI工业订单差值将于十分钟后公布。
44  2022-04-25 17:50:25  【渤海证券：负面因素加速出清 风险补偿接近极值】渤海证券最新研报指出，展望来看，短期A股仍将...
45  2022-04-25 17:51:26          德国政府发言人表示：短期内将就是否运送Marder坦克歼击车（给乌克兰）作出决定。
46  2022-04-25 17:52:04   据俄罗斯卫星网：俄罗斯驻美国大使称，6月末俄罗斯驻美外交官将离开，这将严重影响俄罗斯的外交工作。
47  2022-04-25 17:54:18          据俄罗斯卫星网：俄罗斯驻美国大使称，华盛顿没有考虑俄罗斯提出的外交使团工作的建议。
48  2022-04-25 17:54:41  【4月28日24时零售价将大概率兑现小幅上调】据金联创测算，截至25日第七个工作日变化率3....
49  2022-04-25 17:54:47  【农银汇理基金：中长期来看，A股市场已经接近历史底部特征】展望后市，短期市场对于海外央行紧缩...
```

### 个股新闻

接口: stock_news_em

目标地址: http://so.eastmoney.com/news/s

描述: 东方财富指定个股的新闻资讯数据

限量: 当日最近 100 条新闻资讯数据

输入参数

| 名称     | 类型  | 描述                          |
|--------|-----|-----------------------------|
| symbol | str | symbol="300059"; 股票代码或其他关键词 |

输出参数

| 名称   | 类型     | 描述  |
|------|--------|-----|
| 关键词  | object | -   |  
| 新闻标题 | object | -   |  
| 新闻内容 | object | -   |  
| 发布时间 | object | -   |  
| 文章来源 | object | -   |  
| 新闻链接 | object | -   |  

接口示例

```python
import akshare as ak

stock_news_em_df = ak.stock_news_em(symbol="300059")
print(stock_news_em_df)
```

数据示例

```
       关键词  ...                                               新闻链接
0   300059  ...  http://finance.eastmoney.com/a/202211102556856...
1   300059  ...  http://finance.eastmoney.com/a/202211032549079...
2   300059  ...  http://finance.eastmoney.com/a/202211012547394...
3   300059  ...  http://finance.eastmoney.com/a/202210312546159...
4   300059  ...  http://finance.eastmoney.com/a/202210312546176...
..     ...  ...                                                ...
95  300059  ...  http://finance.eastmoney.com/a/202206172416954...
96  300059  ...  http://finance.eastmoney.com/a/202202142275549...
97  300059  ...  http://finance.eastmoney.com/a/202206292429344...
98  300059  ...  http://finance.eastmoney.com/a/202207192454107...
99  300059  ...  http://finance.eastmoney.com/a/202206212419852...
```
